View Issue Details

IDProjectCategoryView StatusLast Update
0007332Talerwallet (WebExtensions)public2022-09-12 19:41
ReporterChristian Grothoff Assigned Tosebasjm  
PrioritynormalSeveritymajorReproducibilityalways
Status assignedResolutionopen 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.9 
Summary0007332: UX for withdrawing bitcoin is awkward
DescriptionWhen we expect the dialog to show explaining us the details of the on-chain transaction, we get a long delay and then an odd message telling us to check with the bank, instead of ever telling us the bank/bitcoin details. We can find them afterwards via the transaction history...
Steps To Reproduce1) add https://bitcoin.ice.bfh.ch/ as an exchange
2) click 'add', change currency to BITCOINBTC
3) specify BTC amount, confirm.

Wait, bad dialog. Find actual needed details in pending transaction in transaction history.

Desired outcome: basically dialog similar to the one we get via transaction history showing immediately.
TagsNo tags attached.

Relationships

related to 0007357 feedbacksebasjm all call-to-action should redirect to transaction details after starting 

Activities

Christian Grothoff

2022-09-08 19:50

manager   ~0019105

Interestingly, I had the exact same bad UX with Android. I suspect the API might be hard to understand, as the withdraw transaction that is created will be pending (and hence async!), while the UI needs to grab the information from the pending transaction to show to the user (instead of waiting for the pending transaction to complete), as only with the information from the pending transaction the user can possibly complete the transaction!

sebasjm

2022-09-12 19:41

developer   ~0019127

the problems is that we don't have a homogeneous way of starting a transaction,

this will help 0007357

Issue History

Date Modified Username Field Change
2022-09-07 16:57 Christian Grothoff New Issue
2022-09-07 16:57 Christian Grothoff Status new => assigned
2022-09-07 16:57 Christian Grothoff Assigned To => sebasjm
2022-09-08 19:50 Christian Grothoff Note Added: 0019105
2022-09-12 19:41 sebasjm Note Added: 0019127
2022-09-12 19:41 sebasjm Relationship added related to 0007357